CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-9209

In Wireshark 2.4.0 to 2.4.12 and 2.6.0 to 2.6.6, the ASN.1 BER and related dissectors could crash. This was addressed in epan/dissectors/packet-ber.c by preventing a buffer overflow associated with excessive digits in time values.
Publish Date : 2019-02-27 Last Update Date : 2019-05-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Overflow
CWE ID 119

- Products Affected By CVE-2019-9209

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
2 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
3 Application Wireshark Wireshark 2.4.0 Version Details Vulnerabilities
4 Application Wireshark Wireshark 2.4.1 Version Details Vulnerabilities
5 Application Wireshark Wireshark 2.4.2 Version Details Vulnerabilities
6 Application Wireshark Wireshark 2.4.3 Version Details Vulnerabilities
7 Application Wireshark Wireshark 2.4.4 Version Details Vulnerabilities
8 Application Wireshark Wireshark 2.4.5 Version Details Vulnerabilities
9 Application Wireshark Wireshark 2.4.6 Version Details Vulnerabilities
10 Application Wireshark Wireshark 2.4.7 Version Details Vulnerabilities
11 Application Wireshark Wireshark 2.4.8 Version Details Vulnerabilities
12 Application Wireshark Wireshark 2.4.9 Version Details Vulnerabilities
13 Application Wireshark Wireshark 2.4.10 Version Details Vulnerabilities
14 Application Wireshark Wireshark 2.4.11 Version Details Vulnerabilities
15 Application Wireshark Wireshark 2.4.12 Version Details Vulnerabilities
16 Application Wireshark Wireshark 2.6.0 Version Details Vulnerabilities
17 Application Wireshark Wireshark 2.6.1 Version Details Vulnerabilities
18 Application Wireshark Wireshark 2.6.2 Version Details Vulnerabilities
19 Application Wireshark Wireshark 2.6.3 Version Details Vulnerabilities
20 Application Wireshark Wireshark 2.6.4 Version Details Vulnerabilities
21 Application Wireshark Wireshark 2.6.5 Version Details Vulnerabilities
22 Application Wireshark Wireshark 2.6.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 2
Wireshark Wireshark 20

- References For CVE-2019-9209

https://usn.ubuntu.com/3986-1/
UBUNTU USN-3986-1
https://www.wireshark.org/security/wnpa-sec-2019-06.html
https://seclists.org/bugtraq/2019/Mar/35
BUGTRAQ 20190324 [SECURITY] [DSA 4416-1] wireshark security update
https://lists.debian.org/debian-lts-announce/2019/03/msg00031.html
MLIST [debian-lts-announce] 20190325 [SECURITY] [DLA 1729-1] wireshark security update
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=f8fbe9f934d65b2694fa74622e5eb2e1dc8cd20b
https://www.debian.org/security/2019/dsa-4416
DEBIAN DSA-4416
http://www.securityfocus.com/bid/107203
BID 107203 Wireshark Multiple Denial of Service Vulnerabilities Release Date:2019-04-19
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00027.html
SUSE openSUSE-SU-2019:1390
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00007.html
SUSE openSUSE-SU-2019:1108
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15447

- Metasploit Modules Related To CVE-2019-9209

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.